Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex
Interface Playlist

All Superinterfaces:
  java.util.Collection, java.util.List, java.io.Serializable, TrackSource, TrackSourcePipelineElement

All Known Implementing Classes:
  InMemoryPlaylist, JukeXPlaylist

public interface Playlist
extends java.util.List, TrackSourcePipelineElement

PlayList is a special case of List which is used for storing only Tracks. It comprises of a List interface representing the current queue of songs waiting to be played, and a single song which is being 'played'. The Playlist itself does not play any music, but can be controlled by a class which does. Several new methods for find out which song is currently being 'played'. The song being played is not part of the List.

Author:
  Nick Vincent nick@neoworks.com

Method Summary
`java.lang.String` | `getName()` Get the name of the Playlist
`Track` | `getNextTrack()` Get the next available Track
`Track` | `getTrack(int index)` Get the Track at the specified index

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface com.neoworks.jukex.tracksource.TrackSourcePipelineElement
`disable, enable, getNextTrackSource, getState, peekTracks, removeTrack, setName, setNextTrackSource, setOwner, setState, storeState`

Methods inherited from interface com.neoworks.jukex.tracksource.TrackSource
`clone, getDescription, getSummary, isEnabled`

Method Detail

### getNextTrack

    public Track getNextTrack()

  Get the next available Track

  Specified by:
    `getNextTrack` in interface `TrackSource`
  Returns:
    The next available Track object

### getTrack

    public Track getTrack(int index)

  Get the Track at the specified index

  Parameters:
    `index` - The index of the Track to get
  Returns:
    The Track at the specified index

### getName

    public java.lang.String getName()

  Get the name of the Playlist

  Specified by:
    `getName` in interface `TrackSource`
  Returns:
    The name of the playlist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD